<?php


return  
    [
        'model' => [
            'model' => \Bixo\Opportunity\Models\Opportunity::class,
            'table' => 'bixo_opportunity_opportunities',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['property_id',  'campaign_id',  'lead_id',  'organization_id',  'branch_id',  'department_id',  'division_id',  'score',  'account_id',  'contact_id',  'ref',  'ref_source',  'customer_type',  'category_type',  'country_id',  'region_id',  'fianace',  'lead_info',  'cc_note',  'agent_note',  'notes',  'audios',  'source',  'medium',  'stage',  'documents',  'photos',  'medias',  'share',  'budget',  'timeline',  'interest',  'expiry_at',  'notified_at',  'unwanted',  'extend',  'counters',  'qualified_by',  'created_by',  'assigned_to',  'owner_id',  'referred_by'],
            'translatables' => [],
            'upload_folder' => 'opportunity/opportunity',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "campaign_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.campaign_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.lead_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "organization_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.organization_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "department_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.department_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "division_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.division_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "score", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.score', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "account_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.account_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref_source", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.ref_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_type", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.customer_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_type", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.category_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "region_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.region_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fianace", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.fianace', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_info", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.lead_info', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cc_note", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.cc_note', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_note", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.agent_note', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "audios", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.audios', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "medium", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.medium', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "stage", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.stage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photos", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.photos', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "medias", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.medias', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "share", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.share', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "budget", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.budget', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "timeline", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.timeline', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "interest", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.interest', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expiry_at", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.expiry_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notified_at", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.notified_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unwanted", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.unwanted', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "extend", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.extend', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "counters", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.counters', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "qualified_by", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.qualified_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_by", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.created_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assigned_to", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.assigned_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_id", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.owner_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "referred_by", 
                "type" => "text", 
                "label" => 'opportunity::opportunity.label.referred_by', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.property_id',
                "placeholder" => 'opportunity::opportunity.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'campaign_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.campaign_id',
                "placeholder" => 'opportunity::opportunity.placeholder.campaign_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.lead_id',
                "placeholder" => 'opportunity::opportunity.placeholder.lead_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'organization_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.organization_id',
                "placeholder" => 'opportunity::opportunity.placeholder.organization_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.branch_id',
                "placeholder" => 'opportunity::opportunity.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'department_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.department_id',
                "placeholder" => 'opportunity::opportunity.placeholder.department_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'division_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.division_id',
                "placeholder" => 'opportunity::opportunity.placeholder.division_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'score',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.score',
                "placeholder" => 'opportunity::opportunity.placeholder.score',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'account_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.account_id',
                "placeholder" => 'opportunity::opportunity.placeholder.account_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.contact_id',
                "placeholder" => 'opportunity::opportunity.placeholder.contact_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.ref',
                "placeholder" => 'opportunity::opportunity.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.ref_source',
                "placeholder" => 'opportunity::opportunity.placeholder.ref_source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'opportunity::opportunity.label.customer_type',
                "placeholder" => 'opportunity::opportunity.placeholder.customer_type',
                "rules" => '',
                "options" => function(){
                    return trans('opportunity::opportunity.options.customer_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'opportunity::opportunity.label.category_type',
                "placeholder" => 'opportunity::opportunity.placeholder.category_type',
                "rules" => '',
                "options" => function(){
                    return trans('opportunity::opportunity.options.category_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.country_id',
                "placeholder" => 'opportunity::opportunity.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'region_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.region_id',
                "placeholder" => 'opportunity::opportunity.placeholder.region_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fianace',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'opportunity::opportunity.label.fianace',
                "placeholder" => 'opportunity::opportunity.placeholder.fianace',
                "rules" => '',
                "options" => function(){
                    return trans('opportunity::opportunity.options.fianace');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_info',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.lead_info',
                "placeholder" => 'opportunity::opportunity.placeholder.lead_info',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cc_note',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.cc_note',
                "placeholder" => 'opportunity::opportunity.placeholder.cc_note',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_note',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.agent_note',
                "placeholder" => 'opportunity::opportunity.placeholder.agent_note',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.notes',
                "placeholder" => 'opportunity::opportunity.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'audios',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.audios',
                "placeholder" => 'opportunity::opportunity.placeholder.audios',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.source',
                "placeholder" => 'opportunity::opportunity.placeholder.source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'medium',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.medium',
                "placeholder" => 'opportunity::opportunity.placeholder.medium',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'stage',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'opportunity::opportunity.label.stage',
                "placeholder" => 'opportunity::opportunity.placeholder.stage',
                "rules" => '',
                "options" => function(){
                    return trans('opportunity::opportunity.options.stage');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.documents',
                "placeholder" => 'opportunity::opportunity.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photos',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.photos',
                "placeholder" => 'opportunity::opportunity.placeholder.photos',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'medias',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.medias',
                "placeholder" => 'opportunity::opportunity.placeholder.medias',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'share',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.share',
                "placeholder" => 'opportunity::opportunity.placeholder.share',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'budget',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.budget',
                "placeholder" => 'opportunity::opportunity.placeholder.budget',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'timeline',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.timeline',
                "placeholder" => 'opportunity::opportunity.placeholder.timeline',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'interest',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.interest',
                "placeholder" => 'opportunity::opportunity.placeholder.interest',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expiry_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'opportunity::opportunity.label.expiry_at',
                "placeholder" => 'opportunity::opportunity.placeholder.expiry_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notified_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'opportunity::opportunity.label.notified_at',
                "placeholder" => 'opportunity::opportunity.placeholder.notified_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unwanted',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.unwanted',
                "placeholder" => 'opportunity::opportunity.placeholder.unwanted',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'extend',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.extend',
                "placeholder" => 'opportunity::opportunity.placeholder.extend',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'counters',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::opportunity.label.counters',
                "placeholder" => 'opportunity::opportunity.placeholder.counters',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'qualified_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.qualified_by',
                "placeholder" => 'opportunity::opportunity.placeholder.qualified_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'created_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.created_by',
                "placeholder" => 'opportunity::opportunity.placeholder.created_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assigned_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.assigned_to',
                "placeholder" => 'opportunity::opportunity.placeholder.assigned_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.owner_id',
                "placeholder" => 'opportunity::opportunity.placeholder.owner_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'referred_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::opportunity.label.referred_by',
                "placeholder" => 'opportunity::opportunity.placeholder.referred_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'opportunity/opportunity/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'opportunity/opportunity/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'opportunity/opportunity',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'opportunity/opportunity',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'opportunity/opportunity',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'opportunity/opportunity',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'opportunity::opportunity.label.created_at',
            'name' => 'opportunity::opportunity.label.name',
            'status' => 'opportunity::opportunity.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "opportunity::opportunity.groups.main",
                'group' => "main.main",
                'title' => "opportunity::opportunity.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "opportunity::opportunity.groups.details",
                'group' => "main.details",
                'title' => "opportunity::opportunity.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "opportunity::opportunity.groups.images",
                'group' => "main.images",
                'title' => "opportunity::opportunity.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "opportunity::opportunity.groups.settings",
                'group' => "main.settings",
                'title' => "opportunity::opportunity.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Opportunity',
            'module' => 'Opportunity',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Opportunity\Models\Opportunity::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'opportunity::opportunity.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['opportunity.opportunity.copy', 'opportunity.opportunity.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'opportunity::opportunity.label.count',
                        "placeholder" => 'opportunity::opportunity.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'opportunity::opportunity.label.comment',
                        "placeholder" => 'opportunity::opportunity.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'opportunity::opportunity.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'opportunity::opportunity.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
