<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoOpportunityOffersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_opportunity_offers
         */
        Schema::create('bixo_opportunity_offers', function ($table) {
            $table->increments('id');
            $table->string('ref', 20)->nullable();
            $table->integer('opportunity_id')->nullable();
            $table->integer('customer_by')->nullable();
            $table->integer('property_by')->nullable();
            $table->integer('property_id')->nullable();
            $table->integer('viewing_id')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('priority', 20)->nullable();
            $table->dateTime('date_time')->nullable();
            $table->decimal('price', 12,2)->nullable();
            $table->tinyInteger('cheques')->nullable();
            $table->string('frequency', 30)->nullable();
            $table->text('feedbacks')->nullable();
            $table->enum('property_type', ['Yes', 'No'])->nullable();
            $table->enum('category_type', ['Yes', 'No'])->nullable();
            $table->string('category', 50)->nullable();
            $table->string('beds', 50)->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->integer('listing_price')->nullable();
            $table->string('baths', 50)->nullable();
            $table->integer('bua')->nullable();
            $table->string('furnished', 100)->nullable();
            $table->string('view', 200)->nullable();
            $table->tinyInteger('parking')->nullable();
            $table->string('unit', 100)->nullable();
            $table->tinyInteger('notification')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_opportunity_offers');
    }
}
