<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoOpportunityPreferancesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_opportunity_preferances
         */
        Schema::create('bixo_opportunity_preferances', function ($table) {
            $table->increments('id');
            $table->integer('opportunity_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('property_ref', 20)->nullable();
            $table->integer('category')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->integer('min_bed')->nullable();
            $table->integer('max_bed')->nullable();
            $table->decimal('min_price', 12,2)->nullable();
            $table->decimal('max_price', 12,2)->nullable();
            $table->integer('min_area')->nullable();
            $table->integer('max_area')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_opportunity_preferances');
    }
}
