<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoOpportunityViewingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_opportunity_viewings
         */
        Schema::create('bixo_opportunity_viewings', function ($table) {
            $table->increments('id');
            $table->string('ref', 20)->nullable();
            $table->integer('opportunity_id')->nullable();
            $table->integer('property_by')->nullable();
            $table->integer('customer_by')->nullable();
            $table->integer('property_id')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('priority', 20)->nullable();
            $table->dateTime('date_time')->nullable();
            $table->text('description')->nullable();
            $table->text('feedbacks')->nullable();
            $table->tinyInteger('fb_community')->nullable();
            $table->tinyInteger('fb_location')->nullable();
            $table->tinyInteger('fb_floor')->nullable();
            $table->tinyInteger('fb_view')->nullable();
            $table->tinyInteger('fb_layout')->nullable();
            $table->tinyInteger('fb_bua')->nullable();
            $table->tinyInteger('fb_quality')->nullable();
            $table->tinyInteger('fb_price')->nullable();
            $table->tinyInteger('fb_facilities')->nullable();
            $table->tinyInteger('fb_parking')->nullable();
            $table->tinyInteger('fb_ac_type')->nullable();
            $table->tinyInteger('fb_service_charge')->nullable();
            $table->tinyInteger('fb_furniture')->nullable();
            $table->tinyInteger('fb_appliances')->nullable();
            $table->enum('property_type', ['Yes', 'No'])->nullable();
            $table->enum('category_type', ['Yes', 'No'])->nullable();
            $table->string('category', 50)->nullable();
            $table->string('beds', 15)->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->integer('price')->nullable();
            $table->integer('bua')->nullable();
            $table->string('furnished', 100)->nullable();
            $table->string('unit', 100)->nullable();
            $table->tinyInteger('is_online')->nullable();
            $table->string('online_url', 300)->nullable();
            $table->string('calendar_id', 200)->nullable();
            $table->dateTime('calendar_sync_at')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_opportunity_viewings');
    }
}
