<?php

namespace Bixo\Opportunity\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OfferTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_opportunity_offers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.opportunity.offer.view',
                'name'      => 'View Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.create',
                'name'      => 'Create Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.edit',
                'name'      => 'Update Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.delete',
                'name'      => 'Delete Offer',
            ],
            
                        [
                'slug'      => 'bixo.opportunity.offer.verify',
                'name'      => 'Verify Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.approve',
                'name'      => 'Approve Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.publish',
                'name'      => 'Publish Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.unpublish',
                'name'      => 'Unpublish Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.cancel',
                'name'      => 'Cancel Offer',
            ],
            [
                'slug'      => 'bixo.opportunity.offer.archive',
                'name'      => 'Archive Offer',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/opportunity/offer',
                'name'        => 'Offer',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/opportunity/offer',
                'name'        => 'Offer',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'offer',
                'name'        => 'Offer',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Opportunity',
                'module'    => 'Offer',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.opportunity.offer.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
