<?php

namespace Bixo\Opportunity\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OpportunityTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_opportunity_opportunities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.opportunity.opportunity.view',
                'name'      => 'View Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.create',
                'name'      => 'Create Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.edit',
                'name'      => 'Update Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.delete',
                'name'      => 'Delete Opportunity',
            ],
            
                        [
                'slug'      => 'bixo.opportunity.opportunity.verify',
                'name'      => 'Verify Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.approve',
                'name'      => 'Approve Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.publish',
                'name'      => 'Publish Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.unpublish',
                'name'      => 'Unpublish Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.cancel',
                'name'      => 'Cancel Opportunity',
            ],
            [
                'slug'      => 'bixo.opportunity.opportunity.archive',
                'name'      => 'Archive Opportunity',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/opportunity/opportunity',
                'name'        => 'Opportunity',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/opportunity/opportunity',
                'name'        => 'Opportunity',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'opportunity',
                'name'        => 'Opportunity',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Opportunity',
                'module'    => 'Opportunity',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.opportunity.opportunity.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
