<?php

namespace Bixo\Opportunity\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ViewingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_opportunity_viewings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.opportunity.viewing.view',
                'name'      => 'View Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.create',
                'name'      => 'Create Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.edit',
                'name'      => 'Update Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.delete',
                'name'      => 'Delete Viewing',
            ],
            
                        [
                'slug'      => 'bixo.opportunity.viewing.verify',
                'name'      => 'Verify Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.approve',
                'name'      => 'Approve Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.publish',
                'name'      => 'Publish Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.unpublish',
                'name'      => 'Unpublish Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.cancel',
                'name'      => 'Cancel Viewing',
            ],
            [
                'slug'      => 'bixo.opportunity.viewing.archive',
                'name'      => 'Archive Viewing',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/opportunity/viewing',
                'name'        => 'Viewing',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/opportunity/viewing',
                'name'        => 'Viewing',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'viewing',
                'name'        => 'Viewing',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Opportunity',
                'module'    => 'Viewing',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.opportunity.viewing.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
