<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for offer in opportunity package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  offer module in opportunity package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Offer',
    'names' => 'Offers',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Offers',
        'sub' => 'Offers'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Submitted',
                    'value'  => 'Submitted',
                    'text'   => 'Submitted',
                ],
                                
                [
                    'key'    => 'Accepted',
                    'value'  => 'Accepted',
                    'text'   => 'Accepted',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
                [
                    'key'    => 'Negotiation',
                    'value'  => 'Negotiation',
                    'text'   => 'Negotiation',
                ],
                                
            ],

        'property_type' => 
            [
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => 'Offplan',
                    'value'  => 'Offplan',
                    'text'   => 'Offplan',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'category_type' => 
            [
                                
                [
                    'key'    => 'Residential',
                    'value'  => 'Residential',
                    'text'   => 'Residential',
                ],
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'opportunity_id'             => 'Please enter opportunity id',
        'customer_by'                => 'Please enter customer by',
        'property_by'                => 'Please enter property by',
        'property_id'                => 'Please enter property id',
        'viewing_id'                 => 'Please enter viewing id',
        'status'                     => 'Please select status',
        'priority'                   => 'Please enter priority',
        'date_time'                  => 'Please select date time',
        'price'                      => 'Please enter price',
        'cheques'                    => 'Please enter cheques',
        'frequency'                  => 'Please enter frequency',
        'feedbacks'                  => 'Please enter feedbacks',
        'property_type'              => 'Please select property type',
        'category_type'              => 'Please select category type',
        'category'                   => 'Please enter category',
        'beds'                       => 'Please enter beds',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'building_id'                => 'Please enter building id',
        'listing_price'              => 'Please enter listing price',
        'baths'                      => 'Please enter baths',
        'bua'                        => 'Please enter bua',
        'furnished'                  => 'Please enter furnished',
        'view'                       => 'Please enter view',
        'parking'                    => 'Please enter parking',
        'unit'                       => 'Please enter unit',
        'notification'               => 'Please enter notification',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'opportunity_id'             => 'Opportunity id',
        'customer_by'                => 'Customer by',
        'property_by'                => 'Property by',
        'property_id'                => 'Property id',
        'viewing_id'                 => 'Viewing id',
        'status'                     => 'Status',
        'priority'                   => 'Priority',
        'date_time'                  => 'Date time',
        'price'                      => 'Price',
        'cheques'                    => 'Cheques',
        'frequency'                  => 'Frequency',
        'feedbacks'                  => 'Feedbacks',
        'property_type'              => 'Property type',
        'category_type'              => 'Category type',
        'category'                   => 'Category',
        'beds'                       => 'Beds',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'building_id'                => 'Building id',
        'listing_price'              => 'Listing price',
        'baths'                      => 'Baths',
        'bua'                        => 'Bua',
        'furnished'                  => 'Furnished',
        'view'                       => 'View',
        'parking'                    => 'Parking',
        'unit'                       => 'Unit',
        'notification'               => 'Notification',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
