<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for opportunity in opportunity package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  opportunity module in opportunity package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Opportunity',
    'names' => 'Opportunities',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Opportunities',
        'sub' => 'Opportunities'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'customer_type' => 
            [
                                
                [
                    'key'    => 'Buyer - Investor',
                    'value'  => 'Buyer - Investor',
                    'text'   => 'Buyer - Investor',
                ],
                                
                [
                    'key'    => 'Buyer - End User',
                    'value'  => 'Buyer - End User',
                    'text'   => 'Buyer - End User',
                ],
                                
                [
                    'key'    => 'Tenant',
                    'value'  => 'Tenant',
                    'text'   => 'Tenant',
                ],
                                
                [
                    'key'    => 'Agent With Buyer',
                    'value'  => 'Agent With Buyer',
                    'text'   => 'Agent With Buyer',
                ],
                                
                [
                    'key'    => 'Agent With Investor',
                    'value'  => 'Agent With Investor',
                    'text'   => 'Agent With Investor',
                ],
                                
                [
                    'key'    => 'Agent With Tenant',
                    'value'  => 'Agent With Tenant',
                    'text'   => 'Agent With Tenant',
                ],
                                
                [
                    'key'    => 'Seller',
                    'value'  => 'Seller',
                    'text'   => 'Seller',
                ],
                                
                [
                    'key'    => 'Landlord',
                    'value'  => 'Landlord',
                    'text'   => 'Landlord',
                ],
                                
                [
                    'key'    => 'Seller + Landlord',
                    'value'  => 'Seller + Landlord',
                    'text'   => 'Seller + Landlord',
                ],
                                
            ],

        'category_type' => 
            [
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
                [
                    'key'    => 'Residantial',
                    'value'  => 'Residantial',
                    'text'   => 'Residantial',
                ],
                                
            ],

        'fianace' => 
            [
                                
                [
                    'key'    => 'Cash',
                    'value'  => 'Cash',
                    'text'   => 'Cash',
                ],
                                
                [
                    'key'    => 'Mortgage',
                    'value'  => 'Mortgage',
                    'text'   => 'Mortgage',
                ],
                                
                [
                    'key'    => 'Mortgage Approved',
                    'value'  => 'Mortgage Approved',
                    'text'   => 'Mortgage Approved',
                ],
                                
            ],

        'stage' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Closed Won',
                    'value'  => 'Closed Won',
                    'text'   => 'Closed Won',
                ],
                                
                [
                    'key'    => 'Closed Lost',
                    'value'  => 'Closed Lost',
                    'text'   => 'Closed Lost',
                ],
                                
                [
                    'key'    => 'Pool',
                    'value'  => 'Pool',
                    'text'   => 'Pool',
                ],
                                
                [
                    'key'    => 'Archive',
                    'value'  => 'Archive',
                    'text'   => 'Archive',
                ],
                                
                [
                    'key'    => 'Updated',
                    'value'  => 'Updated',
                    'text'   => 'Updated',
                ],
                                
                [
                    'key'    => 'Contacted',
                    'value'  => 'Contacted',
                    'text'   => 'Contacted',
                ],
                                
                [
                    'key'    => 'Qualified',
                    'value'  => 'Qualified',
                    'text'   => 'Qualified',
                ],
                                
                [
                    'key'    => 'Rotation',
                    'value'  => 'Rotation',
                    'text'   => 'Rotation',
                ],
                                
                [
                    'key'    => 'Hold',
                    'value'  => 'Hold',
                    'text'   => 'Hold',
                ],
                                
                [
                    'key'    => 'Duplicate',
                    'value'  => 'Duplicate',
                    'text'   => 'Duplicate',
                ],
                                
                [
                    'key'    => 'From Pool',
                    'value'  => 'From Pool',
                    'text'   => 'From Pool',
                ],
                                
                [
                    'key'    => 'Mortgage',
                    'value'  => 'Mortgage',
                    'text'   => 'Mortgage',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'property_id'                => 'Please enter property id',
        'campaign_id'                => 'Please enter campaign id',
        'lead_id'                    => 'Please enter lead id',
        'organization_id'            => 'Please enter organization id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'division_id'                => 'Please enter division id',
        'score'                      => 'Please enter score',
        'account_id'                 => 'Please enter account id',
        'contact_id'                 => 'Please enter contact id',
        'ref'                        => 'Please enter ref',
        'ref_source'                 => 'Please enter ref source',
        'customer_type'              => 'Please select customer type',
        'category_type'              => 'Please select category type',
        'country_id'                 => 'Please enter country id',
        'region_id'                  => 'Please enter region id',
        'fianace'                    => 'Please select fianace',
        'lead_info'                  => 'Please enter lead info',
        'cc_note'                    => 'Please enter cc note',
        'agent_note'                 => 'Please enter agent note',
        'notes'                      => 'Please enter notes',
        'audios'                     => 'Please enter audios',
        'source'                     => 'Please enter source',
        'medium'                     => 'Please enter medium',
        'stage'                      => 'Please select stage',
        'documents'                  => 'Please enter documents',
        'photos'                     => 'Please enter photos',
        'medias'                     => 'Please enter medias',
        'share'                      => 'Please enter share',
        'budget'                     => 'Please enter budget',
        'timeline'                   => 'Please enter timeline',
        'interest'                   => 'Please enter interest',
        'expiry_at'                  => 'Please select expiry at',
        'notified_at'                => 'Please select notified at',
        'unwanted'                   => 'Please enter unwanted',
        'extend'                     => 'Please enter extend',
        'counters'                   => 'Please enter counters',
        'qualified_by'               => 'Please enter qualified by',
        'created_by'                 => 'Please enter created by',
        'assigned_to'                => 'Please enter assigned to',
        'owner_id'                   => 'Please enter owner id',
        'referred_by'                => 'Please enter referred by',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'property_id'                => 'Property id',
        'campaign_id'                => 'Campaign id',
        'lead_id'                    => 'Lead id',
        'organization_id'            => 'Organization id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'division_id'                => 'Division id',
        'score'                      => 'Score',
        'account_id'                 => 'Account id',
        'contact_id'                 => 'Contact id',
        'ref'                        => 'Ref',
        'ref_source'                 => 'Ref source',
        'customer_type'              => 'Customer type',
        'category_type'              => 'Category type',
        'country_id'                 => 'Country id',
        'region_id'                  => 'Region id',
        'fianace'                    => 'Fianace',
        'lead_info'                  => 'Lead info',
        'cc_note'                    => 'Cc note',
        'agent_note'                 => 'Agent note',
        'notes'                      => 'Notes',
        'audios'                     => 'Audios',
        'source'                     => 'Source',
        'medium'                     => 'Medium',
        'stage'                      => 'Stage',
        'documents'                  => 'Documents',
        'photos'                     => 'Photos',
        'medias'                     => 'Medias',
        'share'                      => 'Share',
        'budget'                     => 'Budget',
        'timeline'                   => 'Timeline',
        'interest'                   => 'Interest',
        'expiry_at'                  => 'Expiry at',
        'notified_at'                => 'Notified at',
        'unwanted'                   => 'Unwanted',
        'extend'                     => 'Extend',
        'counters'                   => 'Counters',
        'qualified_by'               => 'Qualified by',
        'created_by'                 => 'Created by',
        'assigned_to'                => 'Assigned to',
        'owner_id'                   => 'Owner id',
        'referred_by'                => 'Referred by',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
