<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for viewing in opportunity package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  viewing module in opportunity package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Viewing',
    'names' => 'Viewings',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Viewings',
        'sub' => 'Viewings'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Interested',
                    'value'  => 'Interested',
                    'text'   => 'Interested',
                ],
                                
                [
                    'key'    => 'Not Interested',
                    'value'  => 'Not Interested',
                    'text'   => 'Not Interested',
                ],
                                
                [
                    'key'    => 'Decide Later',
                    'value'  => 'Decide Later',
                    'text'   => 'Decide Later',
                ],
                                
                [
                    'key'    => 'None',
                    'value'  => 'None',
                    'text'   => 'None',
                ],
                                
                [
                    'key'    => 'Upcoming',
                    'value'  => 'Upcoming',
                    'text'   => 'Upcoming',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Cancelled',
                    'value'  => 'Cancelled',
                    'text'   => 'Cancelled',
                ],
                                
                [
                    'key'    => 'Viewed',
                    'value'  => 'Viewed',
                    'text'   => 'Viewed',
                ],
                                
            ],

        'property_type' => 
            [
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => 'Offplan',
                    'value'  => 'Offplan',
                    'text'   => 'Offplan',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'category_type' => 
            [
                                
                [
                    'key'    => 'Residential',
                    'value'  => 'Residential',
                    'text'   => 'Residential',
                ],
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'opportunity_id'             => 'Please enter opportunity id',
        'property_by'                => 'Please enter property by',
        'customer_by'                => 'Please enter customer by',
        'property_id'                => 'Please enter property id',
        'status'                     => 'Please select status',
        'priority'                   => 'Please enter priority',
        'date_time'                  => 'Please select date time',
        'description'                => 'Please enter description',
        'feedbacks'                  => 'Please enter feedbacks',
        'fb_community'               => 'Please enter fb community',
        'fb_location'                => 'Please enter fb location',
        'fb_floor'                   => 'Please enter fb floor',
        'fb_view'                    => 'Please enter fb view',
        'fb_layout'                  => 'Please enter fb layout',
        'fb_bua'                     => 'Please enter fb bua',
        'fb_quality'                 => 'Please enter fb quality',
        'fb_price'                   => 'Please enter fb price',
        'fb_facilities'              => 'Please enter fb facilities',
        'fb_parking'                 => 'Please enter fb parking',
        'fb_ac_type'                 => 'Please enter fb ac type',
        'fb_service_charge'          => 'Please enter fb service charge',
        'fb_furniture'               => 'Please enter fb furniture',
        'fb_appliances'              => 'Please enter fb appliances',
        'property_type'              => 'Please select property type',
        'category_type'              => 'Please select category type',
        'category'                   => 'Please enter category',
        'beds'                       => 'Please enter beds',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'building_id'                => 'Please enter building id',
        'price'                      => 'Please enter price',
        'bua'                        => 'Please enter bua',
        'furnished'                  => 'Please enter furnished',
        'unit'                       => 'Please enter unit',
        'is_online'                  => 'Please enter is online',
        'online_url'                 => 'Please enter online url',
        'calendar_id'                => 'Please enter calendar id',
        'calendar_sync_at'           => 'Please select calendar sync at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'opportunity_id'             => 'Opportunity id',
        'property_by'                => 'Property by',
        'customer_by'                => 'Customer by',
        'property_id'                => 'Property id',
        'status'                     => 'Status',
        'priority'                   => 'Priority',
        'date_time'                  => 'Date time',
        'description'                => 'Description',
        'feedbacks'                  => 'Feedbacks',
        'fb_community'               => 'Fb community',
        'fb_location'                => 'Fb location',
        'fb_floor'                   => 'Fb floor',
        'fb_view'                    => 'Fb view',
        'fb_layout'                  => 'Fb layout',
        'fb_bua'                     => 'Fb bua',
        'fb_quality'                 => 'Fb quality',
        'fb_price'                   => 'Fb price',
        'fb_facilities'              => 'Fb facilities',
        'fb_parking'                 => 'Fb parking',
        'fb_ac_type'                 => 'Fb ac type',
        'fb_service_charge'          => 'Fb service charge',
        'fb_furniture'               => 'Fb furniture',
        'fb_appliances'              => 'Fb appliances',
        'property_type'              => 'Property type',
        'category_type'              => 'Category type',
        'category'                   => 'Category',
        'beds'                       => 'Beds',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'building_id'                => 'Building id',
        'price'                      => 'Price',
        'bua'                        => 'Bua',
        'furnished'                  => 'Furnished',
        'unit'                       => 'Unit',
        'is_online'                  => 'Is online',
        'online_url'                 => 'Online url',
        'calendar_id'                => 'Calendar id',
        'calendar_sync_at'           => 'Calendar sync at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
