<?php

namespace Bixo\Opportunity\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Opportunity\Models\Viewing;


class ViewingAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.opportunity.viewing';
    protected $eventClass = \Bixo\Opportunity\Events\ViewingAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Viewing $viewing, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $viewing;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Viewing $viewing, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $viewing = $viewing->create($attributes);
        return $viewing;
    }

    public function update(Viewing $viewing, array $request)
    {
        $attributes = $request;
        $viewing->update($attributes);
        return $viewing;
    }

    public function destroy(Viewing $viewing, array $request)
    {
        $viewing->delete();
        return $viewing;
    }

    public function copy(Viewing $viewing, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $viewing = $viewing->replicate();
            $viewing->created_at = Carbon::now();
            $viewing->save();
            return $viewing;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $viewing->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $viewing;
    }


}
