<?php

namespace Bixo\Opportunity\Policies;

use Bixo\Opportunity\Models\Offer;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OfferAction
{

    /**
     * Determine if the given user can copy the given offer.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Offer $offer)
    {

        if ($authUser->canDo('opportunity.offer.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given offer.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Offer $offer) {

        if ($authUser->canDo('opportunity.offer.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given offer.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Offer $offer)
    {

        if ($authUser->canDo('opportunity.offer.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
