<?php

namespace Bixo\Opportunity\Policies;

use Bixo\Opportunity\Models\Opportunity;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OpportunityAction
{

    /**
     * Determine if the given user can copy the given opportunity.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Opportunity $opportunity)
    {

        if ($authUser->canDo('opportunity.opportunity.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given opportunity.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Opportunity $opportunity) {

        if ($authUser->canDo('opportunity.opportunity.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given opportunity.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Opportunity $opportunity)
    {

        if ($authUser->canDo('opportunity.opportunity.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
