<?php

namespace Bixo\Opportunity\Policies;

use Bixo\Opportunity\Models\Preferance;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait PreferanceAction
{

    /**
     * Determine if the given user can copy the given preferance.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Preferance $preferance)
    {

        if ($authUser->canDo('opportunity.preferance.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given preferance.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Preferance $preferance) {

        if ($authUser->canDo('opportunity.preferance.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given preferance.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Preferance $preferance)
    {

        if ($authUser->canDo('opportunity.preferance.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
