<?php

namespace Bixo\Opportunity\Policies;

use Bixo\Opportunity\Models\Viewing;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ViewingAction
{

    /**
     * Determine if the given user can copy the given viewing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Viewing $viewing)
    {

        if ($authUser->canDo('opportunity.viewing.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given viewing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Viewing $viewing) {

        if ($authUser->canDo('opportunity.viewing.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given viewing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Viewing $viewing)
    {

        if ($authUser->canDo('opportunity.viewing.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
