<?php

namespace Bixo\Opportunity\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Opportunity policy
        \Bixo\Opportunity\Models\Opportunity::class 
        => \Bixo\Opportunity\Policies\OpportunityPolicy::class,// Bind Offer policy
        \Bixo\Opportunity\Models\Offer::class 
        => \Bixo\Opportunity\Policies\OfferPolicy::class,// Bind Preferance policy
        \Bixo\Opportunity\Models\Preferance::class 
        => \Bixo\Opportunity\Policies\PreferancePolicy::class,// Bind Viewing policy
        \Bixo\Opportunity\Models\Viewing::class 
        => \Bixo\Opportunity\Policies\ViewingPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
